import pandas as pd

csv_file = "name_searchspace.csv"
df = pd.read_csv(csv_file)

df = df.drop(columns=["ered", "gsol"])
df['abs_lam'] = -df['abs_lam']

df.to_csv("temp_name_searchspace.csv", index=False)